summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Nitish Ragoomundun2017-06-30 08:58:28 +0200
committer Willy Sudiarto Raharjo2017-06-30 08:58:28 +0200
commit4fecab3cf3a445d4c96f1cea049f17079b143d33 (patch)
tree71010b3679f2b6f0acc36fab795e607358324cfd /academic
parent9daed153e15f9fc2ef2ff649a28b4749b8624b93 (diff)
downloadslackbuilds-4fecab3cf3a445d4c96f1cea049f17079b143d33.tar.gz
academic/ds9: Added (Astronomical tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ds9/README7
-rw-r--r--academic/ds9/doinst.sh3
-rw-r--r--academic/ds9/ds9-icon.pngbin0 -> 1151 bytes
-rw-r--r--academic/ds9/ds9.SlackBuild105
-rw-r--r--academic/ds9/ds9.desktop9
-rw-r--r--academic/ds9/ds9.info10
-rw-r--r--academic/ds9/slack-desc19
7 files changed, 153 insertions, 0 deletions
diff --git a/academic/ds9/README b/academic/ds9/README
new file mode 100644
index 0000000000..5bffb53e7f
--- /dev/null
+++ b/academic/ds9/README
@@ -0,0 +1,7 @@
+SAOImage DS9 is an application for astronomical imaging and data
+visualization. It supports the FITS format and binary tables. As well
+as standard imaging manipulation tools, it includes many advanced
+features such as multiple frame buffers, 2D, 3D, RGB frame buffers,
+region and colormap manipulation, mosaic images and geometric markers.
+DS9 supports a variety of coordinate systems and it has a user
+configurable interface.
diff --git a/academic/ds9/doinst.sh b/academic/ds9/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/ds9/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/ds9/ds9-icon.png b/academic/ds9/ds9-icon.png
new file mode 100644
index 0000000000..09254821f3
--- /dev/null
+++ b/academic/ds9/ds9-icon.png
Binary files differ
diff --git a/academic/ds9/ds9.SlackBuild b/academic/ds9/ds9.SlackBuild
new file mode 100644
index 0000000000..466ab1d3f9
--- /dev/null
+++ b/academic/ds9/ds9.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for SAOImage DS9
+
+# Copyright 2017 Nitish Ragoomundun, Mauritius
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ds9
+VERSION=${VERSION:-7.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf saods9
+tar xvf $CWD/$PRGNAM.$VERSION.tar.gz
+cd saods9
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./unix/configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-arch=${ARCH}-slackware-linux
+
+make -j1
+
+# Install the ds9 executable
+mkdir -p $PKG/usr/{bin,doc/$PRGNAM-$VERSION}
+install -D -m755 bin/ds9 $PKG/usr/bin/
+
+# Install icon
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+install -m 644 $CWD/ds9.desktop $PKG/usr/share/applications
+install -m 644 $CWD/ds9-icon.png $PKG/usr/share/pixmaps
+
+# Copy documentation
+cp -a BUILD.txt LICENSE.txt copyright ds9/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ds9/ds9.desktop b/academic/ds9/ds9.desktop
new file mode 100644
index 0000000000..318d5d41c2
--- /dev/null
+++ b/academic/ds9/ds9.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=DS9
+GenericName=SAOImage DS9
+Comment=SAOImage DS9 Astronomical Software
+Exec=ds9
+Icon=ds9-icon
+Terminal=false
+Type=Application
+Categories=Education;Science;Astronomy;
diff --git a/academic/ds9/ds9.info b/academic/ds9/ds9.info
new file mode 100644
index 0000000000..88c11fbf14
--- /dev/null
+++ b/academic/ds9/ds9.info
@@ -0,0 +1,10 @@
+PRGNAM="ds9"
+VERSION="7.5"
+HOMEPAGE="http://ds9.si.edu/site/Home.html"
+DOWNLOAD="http://ds9.si.edu/archive/source/ds9.7.5.tar.gz"
+MD5SUM="5684be5f6123f3d0426ea3db46466cb4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nitish Ragoomundun"
+EMAIL="lrugratz@gmail.com"
diff --git a/academic/ds9/slack-desc b/academic/ds9/slack-desc
new file mode 100644
index 0000000000..b07917b061
--- /dev/null
+++ b/academic/ds9/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ds9: ds9 (Astronomical tool)
+ds9:
+ds9: DS9 is an astronomical imaging and visualization tool. It supports
+ds9: the FITS format and binary tables. It includes many imaging features
+ds9: such as tiling, cropping, as well as advanced features such as
+ds9: multiple 2D, 3D, RGB frame buffers, colormap manipulation and mosaic
+ds9: images. DS9 also supports a variety of coordinate systems and has a
+ds9: user configurable interface.
+ds9:
+ds9: Homepage: http://ds9.si.edu/site/Home.html
+ds9: